package eu.openaire.urls_worker.models;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;


@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
        "task",
        "status",
        "payload"
})
public class UrlReport {

    @JsonProperty("task")
    private Task task;

    @JsonProperty("status")
    private String Status;

    @JsonProperty("payload")
    private Payload payload;


    public UrlReport(Task task, String status, Payload payload) {
        this.task = task;
        Status = status;
        this.payload = payload;
    }

    public Task getTask() {
        return task;
    }

    public void setTask(Task task) {
        this.task = task;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public Payload getPayload() {
        return payload;
    }

    public void setPayload(Payload payload) {
        this.payload = payload;
    }
}
