package eu.openaire.urls_worker;

import eu.openaire.urls_worker.util.AssignmentHandler;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;


@SpringBootApplication
@EnableScheduling
public class UrlsWorkerApplication {

    public static void main(String[] args) {
        SpringApplication.run(UrlsWorkerApplication.class, args);

        AssignmentHandler.handleAssignment();
    }

}
